CLASS TEMP(3)

NAME
boost::date_time::ostream_time_formatter - Put a time type into a stream using appropriate facets.

SYNOPSIS

// In header: <boost/date_time/time_formatting_streams.hpp>
template<typename time_type, typename charT = char>
class ostream_time_formatter {
public:
  // types
  typedef std::basic_ostream< charT >                                  ostream_type;
  typedef time_type::date_type                                         date_type;
  typedef time_type::time_duration_type                                time_duration_type;
  typedef ostream_time_duration_formatter< time_duration_type, charT > duration_formatter;
  // public static functions
  static void time_put(const time_type &, ostream_type &);
};

DESCRIPTION

  ostream_time_formatter public static functions

    1.

    static void time_put(const time_type & t, ostream_type & os);
    Put time into an ostream. .RE